<?php

if ( ! function_exists( 'cevian_select_include_woocommerce_shortcodes' ) ) {
	function cevian_select_include_woocommerce_shortcodes() {
		foreach ( glob( SELECT_FRAMEWORK_MODULES_ROOT_DIR . '/woocommerce/shortcodes/*/load.php' ) as $shortcode_load ) {
			include_once $shortcode_load;
		}
	}
	
	if ( cevian_select_is_plugin_installed( 'core' ) ) {
		add_action( 'cevian_core_action_include_shortcodes_file', 'cevian_select_include_woocommerce_shortcodes' );
	}
}
